; ELLIPSE.CNC
;
; Program to mill ellipse
;
; Modify the following variables as needed:
;
#101 = 0.75   ; length along X axis
#102 = 0.35   ; length along Y axis
#103 = 10.0  ; plunge feedrate
#104 = 20.0  ; cutting feedrate
#105 = 0.1   ; Z clearance height
#106 = -0.2  ; Z cut depth
#107 = 5.0   ; angle increment
#108 = -1.0  ; the X center position
#109 = 1.0   ; the Y center position

G41 D1  ; start up cutter compensation (change D number as needed)

;=================================

O9100
 G1 X[#101 * cos[#110] / 2.0 + #108] Y[#102 * sin[#110] / 2.0 + #109]
 #110 = #110 + #107
M99

G0 X[#101/2.0+#108] Y#109 Z#105
G1 F#103 Z#106
F#104

#110 = #107
M98 P9100 L[360.0/#107]
G0 Z#105
G40
